﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using System.Windows.Forms.VisualStyles;

namespace WnCTypeAhead
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            int cnt;

            List<StringProperty> colorNames = new List<StringProperty>();

            //get a list of colors from the KnownColor enumeration.
            foreach (string s in System.Enum.GetNames(typeof(KnownColor)))
            {
                //add each color to Collection.
                colorNames.Add(new StringProperty() { Value = s });
            }

            //WinCombo suggest possible colors.
            this.ultraCombo1.AutoCompleteMode =
                Infragistics.Win.AutoCompleteMode.Suggest;

            this.ultraCombo1.DataSource = colorNames;
        }
    }
}

public class StringProperty
{
    public string Value { get; set; }


}
